# Premium Program Recipes

Use the `premiumProgramRecipes` query to obtain a list of recommended Premium recipes for the user's current program.

{% hint style="warning" %}
This query only works for users marked as "premium" when set on a "premium" program.
{% endhint %}

### Example

{% tabs %}
{% tab title="Query" %}

```graphql
{
  premiumProgramRecipes {
    edges {
      node {
        id
        name
        author
        rating
        language
        updatedAt
        isRestricted
        isUserFavorite
        nutritionalInfo {
          ala
          fat
        }
        recipeType
      }
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```javascript
{
  "data": {
    "premiumProgramRecipes": {
      "edges": [
        {
          "node": {
            "id": "UmVjaXBlOjIzMWZkNDJlLWI4YjktNDk2Ni1hNTQ0LTY4OGFlOGVhZDkyZA==",
            "name": "Nachos De Plátano Verde",
            "author": "Suggestic",
            "rating": 1,
            "language": "en",
            "updatedAt": "2020-04-22T19:26:32.869796",
            "isRestricted": false,
            "isUserFavorite": false,
            "nutritionalInfo": {
              "ala": 0.0002,
              "fat": 0.0456
            },
            "recipeType": "regular",
            "parsedIngredientLines": [
              {
                "quantity": "1",
                "ingredient": "taza de col"
              },
              {
                "quantity": "1",
                "ingredient": "de ajo"
              },
              {
                "quantity": "1/4",
                "ingredient": "de aguacate"
              },
              {
                "quantity": "1",
                "ingredient": "de platano verde"
              },
              {
                "quantity": "1/4",
                "ingredient": "de salsa de tomate"
              },
              {
                "quantity": "1/2",
                "ingredient": "de frijoles pintos"
              },
              {
                "quantity": "1",
                "ingredient": "de aceite de coco"
              },
              {
                "quantity": "1",
                "ingredient": "verde"
              }
            ]
          }
        }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/recipes/premium-program-recipes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
